<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<TITLE>
FREE SOFT COUNTER- Estad&iacute;stiques de nombre de m&agrave;quines per prop&ograve;sit
</TITLE>
<LINK REL = "stylesheet" TYPE = "text/css" HREF = "../css/estils.css">
</HEAD>
<BODY>
<P CLASS = "title">THE FREE SOFT COUNTER</P>
<HR>
<BR> 
<?php 
/*conexio a postgresql*/
$conexio = pg_connect("dbname=bdneftali user=neftali password=Zaragoza");
if (!$conexio) {
        echo "<CENTER>
              Hi ha hagut problemes amb la conexi&oacute; a la base de dades.
              </CENTER>";
        exit;
   }
?>

<TABLE CLASS="menu" WIDTH ="100%">
<TR>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca">HOME</A></TD>
    <TD WIDTH="19%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#register">REGISTRE</A></TD>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#login">LOGIN</A></TD>
    <TD WIDTH="15%" CLASS="menu"><A CLASS="negre" HREF="news.html">NOT&Iacute;CIES</A></TD>
    <TD WIDTH="17%" CLASS="menu"><A CLASS="negre" HREF="contacts.php">CONTACTES</A></TD>
    <TD WIDTH="23%" CLASS="menu"><A CLASS="negre" HREF="../index.html.ca#statistics">ESTAD&Iacute;STIQUES</A></TD>
</TR>
</TABLE>

<BR>
<BR>
<P CLASS = "subtitle">ESTAD&Iacute;STIQUES DEL NOMBRE DE M&Agrave;QUINES PER PROP&Ograve;SIT</P>
<BR>
<BR>
<?php

/*consultem el total de maquines registrades*/

$sql = "SELECT COUNT(*) AS total_maq FROM MAQUINA ";

$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

$total_maq = 0;

if($files!=0){

    $tupla = pg_fetch_array ($result_set , 0);
    $total_maq = $tupla['total_maq'];
    
}

/*consultem el total de maquines que fan de client*/

$sql = "SELECT COUNT(DISTINCT nom_maq) AS num_maq_client FROM DESTINACIO d, PROPOSIT p WHERE p.nom_prop = d.nom_prop AND p.tipus_prop = 'C' ";

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

$num_maq_client = 0;

if($files!=0){

    $tupla = pg_fetch_array ($result_set , 0);
    $num_maq_client = $tupla['num_maq_client'];
    
}


/*consultem el total de maquines que fan de servidor*/

$sql = "SELECT COUNT(DISTINCT nom_maq) AS num_maq_servidor FROM DESTINACIO d, PROPOSIT p WHERE p.nom_prop = d.nom_prop AND p.tipus_prop = 'S' ";

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

$num_maq_servidor = 0;

if($files!=0){

    $tupla = pg_fetch_array ($result_set , 0);
    $num_maq_servidor = $tupla['num_maq_servidor'];
    
}


/*consultem les dades necessries per mostrar les estadstiques*/

if($HTTP_POST_VARS['nom_prop']!="NONE"){

    $sql = "SELECT COUNT(*) AS num_maq_proposit FROM DESTINACIO WHERE nom_prop = '".$HTTP_POST_VARS['nom_prop']."'";

}

else{

    $sql = "SELECT nom_prop, COUNT(*) AS num_maq_proposit FROM DESTINACIO GROUP BY nom_prop ORDER BY num_maq_proposit DESC";

}

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats*/

$contador = 0;
$percentatge = 0;

if($files!=0){

    if($HTTP_POST_VARS['nom_prop']!="NONE"){
    
        echo "<B>DEFINICIONS :</B>
        <BR><BR>\n
        <B>M&Agrave;QUINES = </B>el nombre de m&agrave;quines registrades que estan destinades al prop&ograve;sit seleccionat.<BR>\n
        <B>% TOTAL M&Agrave;QUINES = </B>el percentatge de m&agrave;quines que representa M&Agrave;QUINES
        (sobre el total de m&agrave;quines registrades).<BR>\n
        <BR><BR><BR><BR>\n
        <B>RESULTATS ESTAD&Iacute;STICS PEL PROP&Ograve;SIT ".$HTTP_POST_VARS['nom_prop']."
        </B><BR><BR>
        <TABLE CLASS = \"resultat\">\n
        <TR>\n
        <TH CLASS = \"resultat\"> M&Agrave;QUINES </TH>\n
        <TH CLASS = \"resultat\"> % TOTAL M&Agrave;QUINES </TH>\n
        </TR>\n";
        
        $tupla = pg_fetch_array ($result_set , $contador);

        echo "<TR CLASS = \"resultat\">\n
        <TD CLASS = \"resultat\"> ".$tupla['num_maq_proposit']."</TD>\n";
        
        if($tupla['num_maq_proposit']!= 0){
            $percentatge = ($tupla['num_maq_proposit'] / $total_maq)*100;
        }
        echo "<TD CLASS = \"resultat\"> ".round($percentatge,2)."</TD>\n
        </TR>
        </TABLE>\n";
    }
    else{

        echo "<B>DEFINICIONS :</B>
        <BR><BR>\n
        <B>M&Agrave;QUINES = </B>el nombre de m&agrave;quines registrades que estan destinades per cada prop&ograve;sit.<BR>\n
        <B>% TOTAL M&Agrave;QUINES = </B>el percentatge de m&agrave;quines que representa M&Agrave;QUINES
        (sobre el total de m&agrave;quines registrades).<BR>\n
        <BR><BR><BR><BR>\n
        <TABLE CLASS = \"resultat\">\n
        <TR>\n
        <TH CLASS = \"resultat\"> PROP&Ograve;SIT </TH>\n
        <TH CLASS = \"resultat\"> M&Agrave;QUINES </TH>\n
        <TH CLASS = \"resultat\"> % TOTAL M&Agrave;QUINES </TH>\n
        </TR>\n";
    
        /*fem el tractament de cada tupla obtinguda en la consulta anterior*/
    
        while($contador < $files){    

            $tupla = pg_fetch_array ($result_set , $contador);
    
            echo "<TR CLASS = \"resultat\">\n
            <TD CLASS = \"resultat\"> ".$tupla['nom_prop']."</TD>\n
            <TD CLASS = \"resultat\"> ".$tupla['num_maq_proposit']."</TD>\n";
        
            $percentatge = 0;
    
            if($tupla['num_maq_proposit']!= 0){
                $percentatge = ($tupla['num_maq_proposit'] / $total_maq)*100;
            }
            
            echo "<TD CLASS = \"resultat\"> ".round($percentatge,2)."</TD>\n
            </TR>";

            $contador++;
        
        }
        
        echo "</TABLE>\n";
    }

    $percentatge_clients = 0;
    $percentatge_servidors = 0;

    if($num_maq_client!=0){
    
        $percentatge_clients = ($num_maq_client / $total_maq)*100;
    }
    
    if($num_maq_servidor!=0){
    
        $percentatge_servidors = ($num_maq_servidor / $total_maq)*100;
    }
    
    echo "<BR><BR>\n
    <B>TOTAL M&Agrave;QUINES REGISTRADES : </B>".$total_maq."\n
    <BR><BR>\n
    <B>EL ".round($percentatge_clients,2)." % DE LES M&Agrave;QUINES REGISTRADES S&Oacute;N CLIENTS<BR><BR>\n
    EL ".round($percentatge_servidors,2)." % DE LES M&Agrave;QUINES REGISTRADES S&Oacute;N SERVIDORS<BR>\n</B>";
}

else{
    echo "<B>No hi ha resultats per les estad&iacute;stiques demanades.\n</B>";    
}

pg_close($conexio);
?>
<BR><BR><BR><BR><BR><BR><BR>
</BODY>
</HTML>