<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<TITLE>
FREE SOFT COUNTER - Registration of a new user
</TITLE>
<LINK REL = "stylesheet" TYPE = "text/css" HREF = "../css/estils.css">
</HEAD>
<BODY>
<P CLASS = "title">THE FREE SOFT COUNTER</P>
<HR>
<BR> 
<?php 
/*conexio a postgresql*/

$conexio = pg_connect("dbname=bdneftali user=neftali password=Zaragoza");
if (!$conexio) {
        echo "<CENTER>
              There have been problems with the DB connexion.
              </CENTER>";
        exit;
   }
?>

<TABLE CLASS="menu" WIDTH ="100%">
<TR>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en">HOME</A></TD>
    <TD WIDTH="19%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#register">REGISTER</A></TD>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#login">LOGIN</A></TD>
    <TD WIDTH="15%" CLASS="menu"><A CLASS="negre" HREF="news.html">NEWS</A></TD>
    <TD WIDTH="17%" CLASS="menu"><A CLASS="negre" HREF="contacts.php">CONTACTS</A></TD>
    <TD WIDTH="23%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#statistics">STATISTICS</A></TD>
</TR>
</TABLE>
<BR><BR><P CLASS = "subtitle">REGISTRATION OF A NEW USER</P><BR><BR>

<!-- comprovem les dades enviades i les inserim a la base de dades-->

<?php

/*incloem les funcions necessries*/

require("../includes/functions.inc");

/**********************control de les dades enviades per l'alta d'usuari**********************/

/*inicialitzem la variable d'error a 0, i si es produeix algun error, tindr un valor diferent de 0*/

$error = 0;

/*comprovem que s'han confirmat les dades enviades*/

if($HTTP_POST_VARS['confirmacio']!= "on"){

    echo "<B>You must confirm your registration if you want to get registered!!! <BR>\n
    Press the back button, check your data and confirm your registration.</B>\n";
    
    pg_close($conexio);
    
    exit;
}

/*inicialitzem les variables que farem servir*/

$nom_pais_usuari = "";
$nom_ciutat_usuari = "";

/*comprovem si l'usuari ha seleccionat la ciutat o l'ha entrat com a dada*/

if($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']!= "NONE"){
    $nom_pais_usuari = pais($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']);
    $nom_ciutat_usuari = ciutat($HTTP_POST_VARS['nom_ciutat_usuari_seleccionada']);
}
else{
    $nom_pais_usuari = $HTTP_POST_VARS['nom_pais_usuari'];
    $nom_ciutat_usuari = $HTTP_POST_VARS['nom_ciutat_usuari_entrada'];
}

/*tractem la ciutat , per si l'ha entrada l'usuari, treient els posibles espais en blanc que s'hagin introdut de ms*/

$nom_ciutat_usuari = nomes_un_espai($nom_ciutat_usuari);

/*tractem l'e-mail introdut , per si t espais en blanc inicials*/

$e_mail = $HTTP_POST_VARS['e_mail'];
$e_mail = sense_espais_inicials($e_mail);

/*assignem el password de l'usuari que es registra*/

$password = password_aleatori();

/*comprovem que la resta de dades son alfanumeriques*/

if(!es_alfanumeric($e_mail)){

   echo "<B>ERROR : ".missatge_error( 44, "english")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(te_cometes_o_barra($HTTP_POST_VARS['homepage'])){

   echo "<B>ERROR : ".missatge_error( 36, "english")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(!es_alfanumeric($HTTP_POST_VARS['nom_usuari'])){

   echo "<B>ERROR : ".missatge_error( 37, "english")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

/*comprovem que la resta de dades son alfa*/

if(!es_alfa($HTTP_POST_VARS['estat_o_regio_usuari'])){

   echo "<B>ERROR : User registration : ".missatge_error( 32, "english")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}

if(!es_alfa($nom_ciutat_usuari)){

   echo "<B>ERROR : User registration : ".missatge_error( 33, "english")."</B><BR>\n";
        
   pg_close($conexio);
        
   exit;

}


/*inici de la transaccio*/

pg_Exec ($conexio, "BEGIN WORK");

/*donem les dades de l'usuari a la base de dades*/

$result_set = pg_Exec ($conexio, "SELECT donar_dades_usuari( '".$e_mail."', '".$password."', '".$HTTP_POST_VARS['nom_usuari']."',
'".$HTTP_POST_VARS['homepage']."', '".$nom_pais_usuari."', '".$HTTP_POST_VARS['estat_o_regio_usuari']."', '".$nom_ciutat_usuari."',
'".$HTTP_POST_VARS['mail_public']."')");
$files = pg_numrows($result_set);

/*obtenim el resultat de l'operacio*/

if($files!=0){
    $tupla = pg_fetch_array ($result_set , 0);
    $error = $tupla['donar_dades_usuari'];
}
else{
    /*error = -1 => no s'ha pogut executar l'alta de l'usuari*/ 
    $error = -1;
}

/*si hi ha hagut error fem rollback i sortim*/

if($error != 0){
    
    echo "<B>ERROR : Registration of the new user : ".missatge_error($error, "english")."\n";
    
    pg_Exec ($conexio, "ROLLBACK WORK");
    
    pg_close($conexio);
    
    exit;
}



/**********************control de les dades enviades pel primer s**********************/

$nom_prog_us_1 = "";
$nom_escola_treball_us_1 = "";
$nom_escola_estudis_us_1 = "";
$nom_uni_treball_us_1 = "";
$nom_uni_estudis_us_1 = "";
$nom_ciutat_treball_us_1 = "";
$nom_ciutat_estudis_us_1 = "";
$nom_pais_treball_us_1 = "";
$nom_pais_estudis_us_1 = "";

/*aquesta variable ens serveix per comprovar que l'usuari ha seleccionat almenys un tipus d's*/

$seleccio_un_tipus = FALSE;


if($HTTP_POST_VARS['nom_prog_us_1_seleccionat']!= "NONE"){
    $nom_prog_us_1 = $HTTP_POST_VARS['nom_prog_us_1_seleccionat'];
}
else{
    $nom_prog_us_1 = $HTTP_POST_VARS['nom_prog_us_1_entrat'];
}

if($HTTP_POST_VARS['nom_escola_treball_us_1_seleccionada']!= "NONE"){
    $nom_escola_treball_us_1 = $HTTP_POST_VARS['nom_escola_treball_us_1_seleccionada'];
}
else{
    $nom_escola_treball_us_1 = $HTTP_POST_VARS['nom_escola_treball_us_1_entrada'];
}

if($HTTP_POST_VARS['nom_uni_treball_us_1_seleccionada']!= "NONE"){
    $nom_uni_treball_us_1 = $HTTP_POST_VARS['nom_uni_treball_us_1_seleccionada'];
}
else{
    $nom_uni_treball_us_1 = $HTTP_POST_VARS['nom_uni_treball_us_1_entrada'];
}

if($HTTP_POST_VARS['nom_ciutat_treball_us_1_seleccionada']!= "NONE"){
    $nom_ciutat_treball_us_1 = ciutat($HTTP_POST_VARS['nom_ciutat_treball_us_1_seleccionada']);
    $nom_pais_treball_us_1 = pais($HTTP_POST_VARS['nom_ciutat_treball_us_1_seleccionada']);
}
else{
    $nom_ciutat_treball_us_1 = $HTTP_POST_VARS['nom_ciutat_treball_us_1_entrada'];
    $nom_pais_treball_us_1 = $HTTP_POST_VARS['nom_pais_treball_us_1'];
}

if($HTTP_POST_VARS['nom_escola_estudis_us_1_seleccionada']!= "NONE"){
    $nom_escola_estudis_us_1 = $HTTP_POST_VARS['nom_escola_estudis_us_1_seleccionada'];
}
else{
    $nom_escola_estudis_us_1 = $HTTP_POST_VARS['nom_escola_estudis_us_1_entrada'];
}

if($HTTP_POST_VARS['nom_uni_estudis_us_1_seleccionada']!= "NONE"){
    $nom_uni_estudis_us_1 = $HTTP_POST_VARS['nom_uni_estudis_us_1_seleccionada'];
}
else{
    $nom_uni_estudis_us_1 = $HTTP_POST_VARS['nom_uni_estudis_us_1_entrada'];
}

if($HTTP_POST_VARS['nom_ciutat_estudis_us_1_seleccionada']!= "NONE"){
    $nom_ciutat_estudis_us_1 = ciutat($HTTP_POST_VARS['nom_ciutat_estudis_us_1_seleccionada']);
    $nom_pais_estudis_us_1 = pais($HTTP_POST_VARS['nom_ciutat_estudis_us_1_seleccionada']);
}
else{
    $nom_ciutat_estudis_us_1 = $HTTP_POST_VARS['nom_ciutat_estudis_us_1_entrada'];
    $nom_pais_estudis_us_1 = $HTTP_POST_VARS['nom_pais_estudis_us_1'];
}

/*tractem els espais en blanc que puguin haver de ms*/

$nom_prog_us_1 = nomes_un_espai($nom_prog_us_1);
$nom_escola_treball_us_1 = nomes_un_espai($nom_escola_treball_us_1);
$nom_escola_estudis_us_1 = nomes_un_espai($nom_escola_estudis_us_1);
$nom_uni_treball_us_1 = nomes_un_espai($nom_uni_treball_us_1);
$nom_uni_estudis_us_1 = nomes_un_espai($nom_uni_estudis_us_1);
$nom_ciutat_treball_us_1 = nomes_un_espai($nom_ciutat_treball_us_1);
$nom_ciutat_estudis_us_1 = nomes_un_espai($nom_ciutat_estudis_us_1);
$nom_pais_treball_us_1 = nomes_un_espai($nom_pais_treball_us_1);
$nom_pais_estudis_us_1 = nomes_un_espai($nom_pais_estudis_us_1);

/*tractem aquelles dades que no han de tenir espais en blanc*/

if($HTTP_POST_VARS['percentatge_us_1']==""){
    $percentatge_us_1 = "0";
}
else{
    $percentatge_us_1 = $HTTP_POST_VARS['percentatge_us_1'];
}
$percentatge_us_1 = sense_espais($percentatge_us_1);

$versio_prog_us_1 = $HTTP_POST_VARS['versio_prog_us_1'];
$versio_prog_us_1 = sense_espais($versio_prog_us_1);


/*si l'usuari ho ha indicat, donem d'alta el primer us*/

if($HTTP_POST_VARS['us1']== "on"){ 

    /*si el percentatge entrat es incorrecte error = 20*/

    if(!nomes_numeros($percentatge_us_1)){

        echo "<B>ERROR : Registration of use #1 : ".missatge_error( 20, "english")."<BR>\n";
        pg_Exec ($conexio, "ROLLBACK WORK");
        pg_close($conexio);
        exit;

    }

    if(!es_alfanumeric($nom_prog_us_1)){

       echo "<B>ERROR : ".missatge_error( 42, "english")."</B><BR>\n";
       pg_Exec ($conexio, "ROLLBACK WORK");
       pg_close($conexio);
       exit;
    
    }

    if(!es_alfanumeric($versio_prog_us_1)){
    
       echo "<B>ERROR : ".missatge_error( 43, "english")."</B><BR>\n";
       pg_Exec ($conexio, "ROLLBACK WORK");
       pg_close($conexio);
       exit;
    
    }
    
    $result_set = "";
    $result_set = pg_Exec($conexio,"SELECT afegir_us_prog('".$nom_prog_us_1."', ".$percentatge_us_1.", '".$versio_prog_us_1."', '".$e_mail."')");
    $files = pg_numrows($result_set);

    /*obtenim el valor de retorn de l'alta de l's*/

    if($files!=0){
        $tupla = pg_fetch_array ($result_set , 0);
        $error = $tupla['afegir_us_prog'];
    }
    else{
    
        /*error = -1 => no s'ha pogut executar l'alta de l'us*/ 
        $error = -1;
    
    }
    
    /*si no s'ha comes cap error, donem d'alta les especialitzacions de l's que registrem*/
    
    if($HTTP_POST_VARS['us_casa_1']== "on" and $error == 0){
        
        $seleccio_un_tipus = TRUE;
        $result_set = "";
        $result_set = pg_Exec ($conexio, "SELECT afegir_us_casa('".$nom_prog_us_1."', '".$e_mail."')");
        $files = pg_numrows($result_set);

        if($files!=0){
            $tupla = pg_fetch_array ($result_set , 0);
            $error = $tupla['afegir_us_casa'];
        }
        else{
            /*error = -1 => no s'ha pogut executar l'alta de l'us*/ 
            $error = -1;
        }
    }
        
    if($HTTP_POST_VARS['us_treball_1']== "on" and $error == 0){
        
        if(!es_alfa($HTTP_POST_VARS['estat_o_regio_treball_us_1'])){

           echo "<B>ERROR : Work use : ".missatge_error( 32, "english")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        }
    
        if(!es_alfa($nom_ciutat_treball_us_1)){
        
           echo "<B>ERROR : Work use : ".missatge_error( 33, "english")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
    
            if(!es_alfa($nom_escola_treball_us_1)){
        
           echo "<B>ERROR : Work use : ".missatge_error( 34, "english")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
    
        if(!es_alfa($nom_uni_treball_us_1)){
        
           echo "<B>ERROR : Work use : ".missatge_error( 35, "english")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
        
        $seleccio_un_tipus = TRUE;
        $result_set = "";
        $result_set = pg_Exec ($conexio, "SELECT afegir_us_treball('".$nom_prog_us_1."', '".$e_mail."', '".$nom_escola_treball_us_1."',
        '".$nom_uni_treball_us_1."', '".$nom_ciutat_treball_us_1."', '".$HTTP_POST_VARS['estat_o_regio_treball_us_1']."','".$nom_pais_treball_us_1."')");
        $files = pg_numrows($result_set);
    
        if($files!=0){
            $tupla = pg_fetch_array ($result_set , 0);
            $error = $tupla['afegir_us_treball'];
        }
        else{
            /*error = -1 => no s'ha pogut executar l'alta de l'us*/ 
            $error = -1;
        }
    }    

    if($HTTP_POST_VARS['us_estudis_1']== "on" and $error == 0){

        if(!es_alfa($HTTP_POST_VARS['estat_o_regio_estudis_us_1'])){

           echo "<B>ERROR : Study use : ".missatge_error( 32, "english")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        }
    
        if(!es_alfa($nom_ciutat_estudis_us_1)){
        
           echo "<B>ERROR : Study use : ".missatge_error( 33, "english")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
    
            if(!es_alfa($nom_escola_estudis_us_1)){
        
           echo "<B>ERROR : Study use : ".missatge_error( 34, "english")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
    
        if(!es_alfa($nom_uni_estudis_us_1)){
        
           echo "<B>ERROR : Study use : ".missatge_error( 35, "english")."</B><BR>\n";
           pg_Exec ($conexio, "ROLLBACK WORK");     
           pg_close($conexio);
                
           exit;
        
        }
   
        $seleccio_un_tipus = TRUE;

        $result_set = "";
        $result_set = pg_Exec ($conexio, "SELECT afegir_us_estudis('".$nom_prog_us_1."', '".$e_mail."', '".$nom_escola_estudis_us_1."',
        '".$nom_uni_estudis_us_1."','".$nom_ciutat_estudis_us_1."','".$HTTP_POST_VARS['estat_o_regio_estudis_us_1']."', '".$nom_pais_estudis_us_1."')");
        $files = pg_numrows($result_set);
    
        if($files!=0){
            $tupla = pg_fetch_array ($result_set , 0);
            $error = $tupla['afegir_us_estudis'];
        }
        else{
            /*error = -1 => no s'ha pogut executar l'alta de l'us*/ 
            $error = -1;
        }
    }    

    if(!$seleccio_un_tipus and $error == 0){
        /*si no s'ha seleccionat almenys un subtipus de l's que es registra, error = 16*/
        $error = 16;
    }

    /*si hi ha hagut error, fem rollback i sortim*/
    
    if($error != 0){

        echo "<B>ERROR : Registration of use #1 : ".missatge_error($error, "english")."<BR>\n";
        
        pg_Exec ($conexio, "ROLLBACK WORK");
        
        pg_close($conexio);
        
        exit;
    
    }

}


pg_Exec ($conexio, "COMMIT WORK");

/*tanquem la connexio amb la base de dades*/

pg_close($conexio);

?>

CONGRATULATIONS ! You are now a registered user of the Free Soft Counter.<BR><BR>
The password assigned to your registration is : <BR><BR>

<CENTER><?php echo $password ?></CENTER><BR><BR>

Please note the password in a secure place, so you can't forget it and no one can access to it. If the computer you've used to
register is public, someone could access to your visited web pages and see the password assigned to you. In order to avoid that, you
can : <BR><BR>
- Delete the visited web pages and the temporal files of internet, so nobody could see the password assigned to you. <BR><BR>
- Change your password immediately, by loggin in and modifying your data. If someone sees the password given in this page, he will not
be able to use it, because you will have changed it (recommended).

<BR><BR><BR>
</BODY>
</HTML>