<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<TITLE>
FREE SOFT COUNTER- Operating systems and kinds of cpu statistics
</TITLE>
<LINK REL = "stylesheet" TYPE = "text/css" HREF = "../css/estils.css">
</HEAD>
<BODY>
<P CLASS = "title">THE FREE SOFT COUNTER</P>
<HR>
<BR> 
<?php 
/*conexio a postgresql*/
$conexio = pg_connect("dbname=bdneftali user=neftali password=Zaragoza");
if (!$conexio) {
        echo "<CENTER>
              There have been problems with the DB connexion.
              </CENTER>";
        exit;
   }
?>

<TABLE CLASS="menu" WIDTH ="100%">
<TR>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en">HOME</A></TD>
    <TD WIDTH="19%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#register">REGISTER</A></TD>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#login">LOGIN</A></TD>
    <TD WIDTH="15%" CLASS="menu"><A CLASS="negre" HREF="news.html">NEWS</A></TD>
    <TD WIDTH="17%" CLASS="menu"><A CLASS="negre" HREF="contacts.php">CONTACTS</A></TD>
    <TD WIDTH="23%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#statistics">STATISTICS</A></TD>
</TR>
</TABLE>
<BR>
<BR>
<P CLASS = "subtitle">OPERATING SYSTEMS AND KINDS OF CPU STATISTICS</P>
<BR>
<BR>
<?php

/*definim les consultes que hem de fer a la base de dades, en funcio dels valors indicats per l'usuari*/

/*consultem primer els totals necessaris per calcular els percentatges*/

/*seleccionem el total de maquines registrades que hi ha amb cpu del tipus escollit*/

$sql = "SELECT COUNT(*) AS total_maq_tipus_cpu FROM MAQUINA WHERE tipus_cpu = '".$HTTP_POST_VARS['tipus_cpu']."'";

$total_maq_tipus_cpu = 0;

$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

if($files!=0){
    $tupla = pg_fetch_array ($result_set , 0);
    $total_maq_tipus_cpu = $tupla['total_maq_tipus_cpu'];
}

/*seleccionem el total de maquines amb el sistema operatiu escollit*/

$sql = "SELECT COUNT(*) AS total_maq_so FROM MAQUINA WHERE nom_so = '".$HTTP_POST_VARS['nom_so']."'";

$total_maq_so = 0;

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

if($files!=0){
    $tupla = pg_fetch_array ($result_set , 0);
    $total_maq_so = $tupla['total_maq_so'];
}

/*seleccionem el total de maquines registrades*/

$sql = "SELECT COUNT(*) AS total_maquines FROM MAQUINA";

$total_maquines = 0;

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_numrows($result_set);

if($files!=0){
    $tupla = pg_fetch_array ($result_set , 0);
    $total_maquines = $tupla['total_maquines'];
}

/*ara consultem el nombre de maquines, segons el cas*/

/*cas en que l'usuari selecciona sistema operatiu i tipus de cpu*/

if(($HTTP_POST_VARS['tipus_cpu']!= "NONE")AND($HTTP_POST_VARS['nom_so']!= "NONE")){

    $sql = "SELECT COUNT(*) AS num_maq FROM MAQUINA WHERE nom_so = '".$HTTP_POST_VARS['nom_so']."' 
    AND tipus_cpu = '".$HTTP_POST_VARS['tipus_cpu']."'";
    
}

/*cas en que l'usuari noms selecciona el tipus de cpu*/

else if($HTTP_POST_VARS['tipus_cpu']!= "NONE"){

    $sql = "SELECT nom_so, COUNT(*) AS num_maq FROM MAQUINA WHERE tipus_cpu = '".$HTTP_POST_VARS['tipus_cpu']."' 
    GROUP BY nom_so ORDER BY num_maq DESC";

}

/*cas en que l'usuari nomes selecciona el sistema operatiu*/

else if($HTTP_POST_VARS['nom_so']!= "NONE"){

    $sql = "SELECT tipus_cpu , COUNT(*) AS num_maq FROM MAQUINA WHERE nom_so = '".$HTTP_POST_VARS['nom_so']."' 
    GROUP BY tipus_cpu ORDER BY num_maq DESC";

}

/*cas en que l'usuari no selecciona cap dada*/

else{

    $sql = "SELECT tipus_cpu, nom_so, COUNT(*) AS num_maq FROM MAQUINA 
    GROUP BY tipus_cpu, nom_so ORDER BY tipus_cpu, num_maq DESC, nom_so";

}

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats a l'usuari*/

$contador = 0;

if($files!=0){

    /*cas en que l'usuari selecciona sistema operatiu i tipus de cpu*/

    if(($HTTP_POST_VARS['tipus_cpu']!= "NONE")AND($HTTP_POST_VARS['nom_so']!= "NONE")){
    
        $tupla = pg_fetch_array ($result_set , $contador);
    
        echo "
        <B>DEFINITIONS :</B>
        <BR><BR>\n
        <B>MACHINES = </B>the number of machines with the selected operating system installed and cpu of the selected type.<BR>\n
        <B>% OF O.S. MACHINES = </B>the percentage of machines which is represented by MACHINES
        (over the total of machines registered with the selected operating system installed).<BR>\n
        <B>% OF KIND OF CPU MACHINES = </B>the percentage of machines which is represented by MACHINES
        (over the total of machines registered with the selected kind of cpu).<BR>\n
        <BR><BR><BR><BR><B>STATISTICS RESULTS FOR TYPE OF CPU ".$HTTP_POST_VARS['tipus_cpu']." AND THE OPERATING SYSTEM ".$HTTP_POST_VARS['nom_so']."</B><BR><BR>\n
        <TABLE CLASS = \"resultat\">\n
        <TR>
        <TH CLASS = \"resultat\"> MACHINES </TH>\n
        <TH CLASS = \"resultat\"> % OF O.S. MACHINES </TH>\n
        <TH CLASS = \"resultat\"> % OF KIND OF CPU MACHINES </TH>\n
        </TR>\n
        <TR CLASS = \"resultat\">\n
        <TD CLASS = \"resultat\"> ".$tupla['num_maq']."</TD>\n";
        
        $percentatge_so = 0;
        $percentatge_tipus_cpu = 0;
        
        if($tupla['num_maq']!= 0){

            $percentatge_so = ($tupla['num_maq']/$total_maq_so)*100;
            $percentatge_tipus_cpu = ($tupla['num_maq']/$total_maq_tipus_cpu)*100;
        }
        
        echo "
        <TD CLASS = \"resultat\"> ".round($percentatge_so,2)."</TD>\n
        <TD CLASS = \"resultat\"> ".round($percentatge_tipus_cpu,2)."</TD>\n
        </TR>\n
        </TABLE><BR><BR>\n
        <B>TOTAL OF MACHINES WITH ".$HTTP_POST_VARS['nom_so']." INSTALLED : </B>".$total_maq_so."<BR>
        <B>TOTAL OF MACHINES WITH THE CPU ".$HTTP_POST_VARS['tipus_cpu']." : </B>".$total_maq_tipus_cpu."<BR><BR>";

    }
    
    /*cas en que l'usuari noms selecciona el tipus de cpu*/
    
    else if($HTTP_POST_VARS['tipus_cpu']!= "NONE"){
    
        echo "<B>DEFINITIONS :</B>
        <BR><BR>\n
        <B>MACHINES = </B>the number of machines with the current operating system installed and cpu of the selected type.<BR>\n
        <B>% OF KIND OF CPU MACHINES = </B>the percentage of machines which is represented by MACHINES
        (over the total of machines registered with the selected type of cpu).<BR>\n
        <BR><BR><BR><BR>\n
        <B>STATISTICS RESULTS FOR THE KIND OF CPU ".$HTTP_POST_VARS['tipus_cpu']."</B><BR><BR>\n
        <TABLE CLASS = \"resultat\">\n
        <TR>\n
        <TH CLASS = \"resultat\"> OPERATING SYSTEM </TH>\n
        <TH CLASS = \"resultat\"> MACHINES </TH>\n
        <TH CLASS = \"resultat\"> % OF KIND OF CPU MACHINES</TH>\n
        </TR>\n";
        
        while($contador < $files){
        
            $tupla = pg_fetch_array ($result_set , $contador);
            
            echo "<TR CLASS = \"resultat\">\n
            <TD CLASS = \"resultat\"> ".$tupla['nom_so']."</TD>\n
            <TD CLASS = \"resultat\"> ".$tupla['num_maq']."</TD>\n";
            
            $percentatge_tipus_cpu = 0;
            
            if($tupla['num_maq'] != 0){
                $percentatge_tipus_cpu = ($tupla['num_maq']/$total_maq_tipus_cpu)*100;
            }
            
            echo "
            <TD CLASS = \"resultat\"> ".round($percentatge_tipus_cpu,2)."</TD>\n
            </TR>\n";
            
            $contador++;
            
        }
        
        echo "</TABLE><BR><BR>\n
        <B>TOTAL OF MACHINES WITH THE CPU ".$HTTP_POST_VARS['tipus_cpu']." : </B>".$total_maq_tipus_cpu."<BR><BR>";
    
    }
    
    /*cas en que l'usuari nomes selecciona el sistema operatiu*/
    
    else if($HTTP_POST_VARS['nom_so']!= "NONE"){
    
        echo "<B>DEFINITIONS :</B>
        <BR><BR>\n
        <B>MACHINES = </B>the number of machines with the selected operating system installed and with the current type of cpu.<BR>\n
        <B>% OF O.S. MACHINES = </B>the percentage of machines which is represented by MACHINES
        (over the total of machines registered with the selected operating system).<BR>\n
        <BR><BR><BR><BR>\n
        <B>STATISTICS RESULTS FOR THE OPERATING SYSTEM ".$HTTP_POST_VARS['nom_so']."</B><BR><BR>\n
        <TABLE CLASS = \"resultat\">\n
        <TR>\n
        <TH CLASS = \"resultat\"> TYPE OF CPU </TH>\n
        <TH CLASS = \"resultat\"> MACHINES </TH>\n
        <TH CLASS = \"resultat\"> % OF O.S. MACHINES </TH>\n
        </TR>\n";
        
        while($contador < $files){
        
            $tupla = pg_fetch_array ($result_set , $contador);
            
            echo "<TR CLASS = \"resultat\">\n
            <TD CLASS = \"resultat\"> ".$tupla['tipus_cpu']."</TD>\n
            <TD CLASS = \"resultat\"> ".$tupla['num_maq']."</TD>\n";
            
            $percentatge_so = 0;
            
            if($tupla['num_maq'] != 0){
                $percentatge_so = ($tupla['num_maq']/$total_maq_so)*100;
            }
            
            echo "
            <TD CLASS = \"resultat\"> ".round($percentatge_so,2)."</TD>\n
            </TR>\n";
            
            $contador++;
            
        }
        
        echo "</TABLE><BR><BR>\n
        <B>TOTAL OF MACHINES WITH ".$HTTP_POST_VARS['nom_so']." INSTALLED : </B>".$total_maq_so."<BR>";
        
    }
    
    /*cas en que l'usuari no selecciona cap dada*/
    
    else{
    
        echo "<B>DEFINITIONS :</B>
        <BR><BR>\n
        <B>MACHINES = </B>the number of machines with the current operating system and type of cpu.<BR>\n
        <B>% OF TOTAL MACHINES = </B>the percentage of machines, over the total of machines registered, which is represented by MACHINES.<BR>\n
        <BR><BR><BR><BR>\n
        <B>STATISTICS RESULTS FOR KINDS OF CPU AND OPERATING SYSTEMS</B><BR><BR>\n
        <TABLE CLASS = \"resultat\">\n
        <TR>\n
        <TH CLASS = \"resultat\"> TYPE OF CPU </TH>\n
        <TH CLASS = \"resultat\"> OPERATING SYSTEM </TH>\n
        <TH CLASS = \"resultat\"> MACHINES </TH>\n
        <TH CLASS = \"resultat\"> % OF TOTAL MACHINES</TH>\n
        </TR>\n";
        
        while($contador < $files){
        
            $tupla = pg_fetch_array ($result_set , $contador);
            
            echo "<TR CLASS = \"resultat\">\n
            <TD CLASS = \"resultat\"> ".$tupla['tipus_cpu']."</TD>\n
            <TD CLASS = \"resultat\"> ".$tupla['nom_so']."</TD>\n
            <TD CLASS = \"resultat\"> ".$tupla['num_maq']."</TD>\n";
            
            $percentatge = 0;
            
            if($tupla['num_maq'] != 0){
                $percentatge = ($tupla['num_maq']/$total_maquines)*100;
            }
            
            echo "
            <TD CLASS = \"resultat\"> ".round($percentatge,2)."</TD>\n
            </TR>\n";
            
            $contador++;
            
        }
        
        echo "</TABLE><BR><BR>\n
        <B>TOTAL OF MACHINES REGISTERED : </B>".$total_maquines."<BR>";
    }
}
else{
    echo "<B>There are no results for the specified statistics.\n</B>";    
}

pg_close($conexio);
?>
<BR><BR><BR><BR><BR><BR>
</BODY>
</HTML>