<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<TITLE>
FREE SOFT COUNTER - Registration of a new machine
</TITLE>
<LINK REL = "stylesheet" TYPE = "text/css" HREF = "../css/estils.css">
</HEAD>
<BODY>
<P CLASS = "title">THE FREE SOFT COUNTER</P>

<P align="right"><A HREF = "../catala/register_machine.php">CATALA</A></P>

<HR>
<BR> 
<?php 

/*conexio a postgresql*/

$conexio = pg_connect("dbname=bdneftali user=neftali password=Zaragoza");
if (!$conexio) {
        echo "<CENTER>
              There have been problems with the database connection.
              </CENTER>";
        exit;
}

?>

<TABLE CLASS="menu" WIDTH ="100%">
<TR>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en">HOME</A></TD>
    <TD WIDTH="19%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#register">REGISTER</A></TD>
    <TD WIDTH="13%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#login">LOGIN</A></TD>
    <TD WIDTH="15%" CLASS="menu"><A CLASS="negre" HREF="news.html">NEWS</A></TD>
    <TD WIDTH="17%" CLASS="menu"><A CLASS="negre" HREF="contacts.php">CONTACTS</A></TD>
    <TD WIDTH="23%" CLASS="menu"><A CLASS="negre" HREF="../index.html.en#statistics">STATISTICS</A></TD>
</TR>
</TABLE>
<BR><BR><P CLASS = "subtitle">REGISTRATION OF A NEW MACHINE</P><BR><BR>

<?php 

/*incloem les funcions necessries*/

require("../includes/functions.inc");


/*******************comprovacio del password encriptat, que identifica l'usuari**********************/

/*inicialitzem les variables que farem servir*/

$password = "";
$tupla = "";

/*comprovem que s'ha enviat una encriptacio del password , i per tant, hem de comprovar que sigui correcte*/

if($HTTP_POST_VARS['encriptacio']!=""){

    /*obtenim el password desencriptat*/

    $password = desencriptar_password($conexio, $HTTP_POST_VARS['e_mail'], $HTTP_POST_VARS['encriptacio']);

    /*obtenim el password que te registrat l'usuari*/
    
    $result_set = pg_exec($conexio, "SELECT password FROM USUARI WHERE e_mail = '".$HTTP_POST_VARS['e_mail']."'" );
    $files = pg_numrows($result_set);

    if($files!=0){
    
        $tupla = pg_fetch_array($result_set , 0);
    
    }
    
    /*comprovem que la desencriptacio i el password registrat coincideixen*/
    
    if( ($password != $tupla['password']) OR ($password == "")){
    
        echo "<B>This page has expired. Try login again. </B><BR>";
    
        pg_close($conexio);
        
        exit;
    
    }

}

?>

<B>Please fill in the form given above in order to register a new machine : <BR><BR>

NOTE 1 : When a field is in red, it means it's obligatory to fill in it to register. <BR>
NOTE 2 : When you can select or enter a value, you must be sure that the option selected is NONE if you want 
to enter it by yourself, otherwise the selected value would be registered instead of the one you entered.</B><BR><BR>

<FORM METHOD = "POST" ACTION = "validate_machine.php">

<HR>

<P CLASS = "dades">

<!-- entrem l'encriptacio com a camp ocult -->

<INPUT TYPE = "hidden" NAME = "encriptacio" VALUE = "<?php echo $HTTP_POST_VARS['encriptacio']; ?>">

<!-- comprovem si hem d'entrar l'e-mail de l'usuari o ja ha estat enviat -->

<?php 

if( ($HTTP_POST_VARS['e_mail']!="") and ($HTTP_POST_VARS['encriptacio']!="") ){

    echo "<INPUT TYPE = \"hidden\" NAME = \"e_mail\" VALUE = '".$HTTP_POST_VARS['e_mail']."'>";
}
else{
    echo "<B CLASS = \"obligatori\"><I> E-MAIL : </I></B><INPUT TYPE = \"TEXT\" NAME = \"e_mail\" SIZE = \"30\" MAXLENGTH = \"50\"><BR><BR>\n
    <B CLASS = \"obligatori\"><I> PASSWORD : </I></B><INPUT TYPE = \"PASSWORD\" NAME = \"password\" SIZE = \"8\" MAXLENGTH = \"8\"><BR><BR>\n
    You must give the e-mail and password of your user registration in order to register a new machine. If you aren't a registered user 
    yet, you must register yourself as a new user before you can register a new machine.<BR><BR></P><HR>\n";
}

?>

<!-- entrem el nom de la maquina -->

<P CLASS = "dades">

<B CLASS = "obligatori"><I> MACHINE NAME : </I></B><INPUT TYPE = "TEXT" NAME = "nom_maq" SIZE = "30" MAXLENGTH = "50"><BR><BR>
You must give the name of the machine you want to register. It can be any string, and you can use a name (that must be unique over 
all the machines registered) or the IP of the machine (recommended). If you want, you can enter a string that combines both cases,
so that it can be unique and you can remember better which machine you have registered.<BR>
<I>FOR EXAMPLE : 223.23.45.12-PC1_A5_WORK</I><BR><BR>

</P>

<HR>

<P CLASS = "dades">

<!-- entrem la ciutat on es troba la maquina -->

<B CLASS = "obligatori"><I> CITY :</I></B><BR><BR>

- You can <B>select</B> the city where the machine is placed, if it's in the database : <BR><BR>

<CENTER><SELECT SIZE = "1" NAME = "nom_ciutat_seleccionada">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*definim la consulta*/

$sql = "SELECT nom_ciutat, nom_pais FROM CIUTAT ORDER BY nom_ciutat, nom_pais";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats a la llista de selecci*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_ciutat"]."(".$tupla["nom_pais"].")'>".$tupla["nom_ciutat"]."(".$tupla["nom_pais"].")</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "dades">
- If the city where the machine is placed has not been registered yet, you can <B>enter</B> it : <BR><BR>
</P>

<P CLASS = "tabulat">
<I><B>CITY (obligatory):</B><INPUT TYPE = "TEXT" NAME = "nom_ciutat_entrada" SIZE = "30" MAXLENGTH = "30"><BR><BR>
<B>STATE/REGION :</B><INPUT TYPE = "TEXT" NAME = "estat_o_regio" SIZE = "30" MAXLENGTH = "30"><BR><BR>
<B>COUNTRY (obligatory): </B>
<SELECT SIZE = "1" NAME = "nom_pais">

<?php

/*definim la consulta*/

$sql = "SELECT nom_pais FROM PAIS ORDER BY nom_pais";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats a la llista de seleccio*/

$contador = 0;
if($files!=0){

    $tupla = pg_fetch_array ($result_set , $contador);
    echo "<OPTION SELECTED VALUE = '".$tupla["nom_pais"]."'>".$tupla["nom_pais"]."</OPTION>\n";
    $contador++;

    while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_pais"]."'>".$tupla["nom_pais"]."</OPTION>\n";
        $contador++;
    }
}

?>

</SELECT></I></P><BR><BR>

<HR>

<P CLASS = "dades">

<!-- entrem el nombre d'usuaris que fan servir la maquina -->

<B CLASS = "obligatori"><I> USERS :</I></B><INPUT TYPE = "TEXT" NAME = "num_usuaris" SIZE = "5" MAXLENGTH = "5"><BR><BR>
This is the number of users of the machine that you are registering.<BR><BR>
</P>

<HR>

<P CLASS = "dades">

<!-- entrem el nombre de cpu's que te la maquina -->

<B CLASS = "obligatori"><I> CPU'S :</I></B><INPUT TYPE = "TEXT" NAME = "num_cpus" SIZE = "2" MAXLENGTH = "2"><BR><BR>
This is the number of cpu's of the machine that you are registering.<BR><BR>
</P>

<HR>

<!-- entrem la velocitat de la cpu de la maquina -->

<P CLASS = "dades">

<B CLASS = "obligatori"><I> MHZ OF CPU :</I></B><INPUT TYPE = "TEXT" NAME = "vel_cpu" SIZE = "10" MAXLENGTH = "10"><BR><BR>
This is the Mhz of the cpu of the machine that you are registering. If the machine has more than one CPU, you can enter an
average of the Mhz of the CPU's of the machine.<BR><BR>

</P>

<HR>

<P CLASS = "dades">

<B CLASS = "obligatori"><I>DISTRIBUTION :</I></B><BR><BR>
- You can <B>select</B> the distribution that has been installed on the machine you're registering, if it's in the database : 
<BR><BR>

<CENTER><SELECT SIZE = "1" NAME = "nom_dist_seleccionada">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*definim la consulta*/

$sql = "SELECT nom_dist FROM DISTRIBUCIO ORDER BY nom_dist";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_dist"]."'>".$tupla["nom_dist"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "dades">
- If the distribution that has been installed on the machine you're registering has not been registered yet, 
you can <B>enter</B> it : <BR><BR>
</P>

<P CLASS = "tabulat">
<I><B>DISTRIBUTION : </B><INPUT TYPE = "TEXT" NAME = "nom_dist_entrada" SIZE = "30" MAXLENGTH = "30"><BR><BR><BR><BR></I>

<B><I>OPERATING SYSTEM (obligatory, if you're entering the distribution):</I></B><BR><BR>
- You can <B>select</B> the operating system that has been installed on the machine you're registering, if it's in the database : 
<BR><BR>

<CENTER><SELECT SIZE = "1" NAME = "nom_so_seleccionat">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*definim la consulta*/

$sql = "SELECT nom_so FROM SO ORDER BY nom_so";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_so"]."'>".$tupla["nom_so"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "tabulat">
- If the operating system that has been installed on the machine you're registering has not been registered yet, 
you can <B>enter</B> it : <BR><BR>
</P>
<P CLASS = "tabulat2">
<I><B>OPERATING SYSTEM : </B><INPUT TYPE = "TEXT" NAME = "nom_so_entrat" SIZE = "30" MAXLENGTH = "30"><BR><BR><BR><BR></I>
</P>

<HR>

<!-- entrem la versio del kernel del sistema operatiu que t la maquina -->

<P CLASS = "dades">

<B CLASS = "obligatori"><I> KERNEL VERSION :</I></B><INPUT TYPE = "TEXT" NAME = "versio_kernel" SIZE = "10" MAXLENGTH = "10"><BR><BR>
This is the kernel version of the operating system which is installed in the machine that you are registering.<BR><BR>

</P>

<HR>

<!-- entrem la font des d'on s'ha obtingut el sistema operatiu -->

<P CLASS = "dades">

<B CLASS = "obligatori"><I>SOURCE : </B><BR><BR>
<B><INPUT TYPE = "RADIO" NAME = "font_inst" VALUE = "I" CHECKED>FROM INTERNET.
<BR>
<INPUT TYPE = "RADIO" NAME = "font_inst" VALUE = "C">FROM A CD.
<BR><BR>
</I></B>
The source of the operating system that has installed the machine is the place from where you got the operating system. You must select
between CD or INTERNET.

</P>

<HR>

<!-- entrem el fabricant de la CPU de la maquina -->

<P CLASS = "dades">

<B CLASS = "obligatori"><I>MAKER OF CPU :</I></B><BR><BR>

- You can <B>select</B> the maker of the CPU that has been installed on the machine you're registering, if it's in the database : 
<BR><BR>

<CENTER><SELECT SIZE = "1" NAME = "nom_fab_seleccionat">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*definim la consulta*/

$sql = "SELECT nom_fab FROM FABRICANT_CPU ORDER BY nom_fab";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_fab"]."'>".$tupla["nom_fab"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "dades">
- If the maker of the CPU that has been installed on the machine you're registering has not been registered yet, 
you can <B>enter</B> it : <BR><BR>
</P>
<P CLASS = "tabulat">
<I><B>MAKER OF CPU : </B><INPUT TYPE = "TEXT" NAME = "nom_fab_entrat" SIZE = "30" MAXLENGTH = "30"><BR><BR><BR><BR></I>
</P>

<HR>

<!-- entrem el tipus de CPU de la maquina -->

<P CLASS = "dades">

<B CLASS = "obligatori"><I>TYPE OF CPU :</I></B><BR><BR>

- You can <B>select</B> the type of the CPU that has been installed on the machine you're registering, if it's in the database : 
<BR><BR>

<CENTER><SELECT SIZE = "1" NAME = "tipus_cpu_seleccionada">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*definim la consulta*/

$sql = "SELECT tipus_cpu FROM TIPUS_CPU ORDER BY tipus_cpu";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["tipus_cpu"]."'>".$tupla["tipus_cpu"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "dades">
- If the type of the CPU that has been installed on the machine you're registering has not been registered yet, 
you can <B>enter</B> it : <BR><BR>
</P>
<P CLASS = "tabulat">
<I><B>TYPE OF CPU : </B><INPUT TYPE = "TEXT" NAME = "tipus_cpu_entrada" SIZE = "30" MAXLENGTH = "30"><BR><BR><BR><BR></I>
</P>

<HR>


<P CLASS = "dades">

<I><B>SCHOOL (optional) :</B></I><BR><BR>
- You can <B>select</B> the school where the machine is placed, if it's in the database : <BR><BR>

<CENTER>
<SELECT SIZE = "1" NAME = "nom_escola_seleccionada">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*definim la consulta*/

$sql = "SELECT nom_escola FROM ESCOLA ORDER BY nom_escola";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*afegim el resultat de la consulta a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_escola"]."'>".$tupla["nom_escola"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "dades">
- If the school where the machine is placed has not been registered yet, you can <B>enter</B> it : <BR><BR>
</P>

<P CLASS = "tabulat">
<I><B>SCHOOL : </B></I><INPUT TYPE = "TEXT" NAME = "nom_escola_entrada" SIZE = "30" MAXLENGTH = "50"><BR><BR><BR><BR>

<I><B>UNIVERSITY :</B></I><BR><BR>
- You can <B>select</B> the University of the school if it's in the database : <BR><BR>

<CENTER>
<SELECT SIZE = "1" NAME = "nom_uni_seleccionada">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*definim la consulta*/

$sql = "SELECT nom_uni FROM UNIVERSITAT ORDER BY nom_uni";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem el resultat de la consulta a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_uni"]."'>".$tupla["nom_uni"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "tabulat">
- If the University of the school has not been registered yet, you can <B>enter</B> it : <BR><BR>
</P>

<P CLASS = "tabulat2">
<I><B>UNIVERSITY : </B><INPUT TYPE = "TEXT" NAME = "nom_uni_entrada" SIZE = "30" MAXLENGTH = "50"></I><BR><BR><BR><BR>
</P>

<HR>

<!-- entrem el proposit obligatori al que est destinada la maquina  -->

<P CLASS = "dades">

<B CLASS = "obligatori"><I>PURPOSE #1 :</I></B><BR><BR>

- You can <B>select</B> the purpose of the machine you're registering, if it's in the database : 
<BR><BR>

<CENTER><SELECT SIZE = "1" NAME = "nom_prop_1_seleccionat">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*definim la consulta*/

$sql = "SELECT nom_prop FROM PROPOSIT ORDER BY nom_prop";

/*executem la consulta*/

$result_set = "";
$result_set = pg_Exec ($conexio, $sql);
$files = pg_NumRows($result_set);

/*mostrem els resultats a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_prop"]."'>".$tupla["nom_prop"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "dades">
- If the purpose of the machine you're registering has not been registered yet, you can <B>enter</B> it : <BR><BR>
</P>
<P CLASS = "tabulat">
<I><B>PURPOSE : <INPUT TYPE = "TEXT" NAME = "nom_prop_1_entrat" SIZE = "30" MAXLENGTH = "30"><BR><BR>
TYPE OF PURPOSE : <BR><BR></P>
<P CLASS = "tabulat2">
<INPUT TYPE = "radio" NAME = "tipus_prop_1" VALUE = "C" CHECKED>CLIENT<BR><BR>
<INPUT TYPE = "radio" NAME = "tipus_prop_1" VALUE = "S">SERVER<BR><BR><BR><BR></B></I>
</P>

<HR>

<!-- entrem els proposits adicionals de la maquina que l'usuari vulgui registrar -->

<P CLASS = "dades">

<INPUT TYPE = "checkbox" NAME = "prop_2"><B><I>PURPOSE #2 :</I></B><BR><BR>

- You can <B>select</B> the purpose of the machine you're registering, if it's in the database : 
<BR><BR>

<CENTER><SELECT SIZE = "1" NAME = "nom_prop_2_seleccionat">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*mostrem els resultats a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_prop"]."'>".$tupla["nom_prop"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "dades">
- If the purpose of the machine you're registering has not been registered yet, you can <B>enter</B> it : <BR><BR>
</P>
<P CLASS = "tabulat">
<I><B>PURPOSE : <INPUT TYPE = "TEXT" NAME = "nom_prop_2_entrat" SIZE = "30" MAXLENGTH = "30"><BR><BR>
TYPE OF PURPOSE : <BR><BR></P>
<P CLASS = "tabulat2">
<INPUT TYPE = "radio" NAME = "tipus_prop_2" VALUE = "C" CHECKED>CLIENT<BR><BR>
<INPUT TYPE = "radio" NAME = "tipus_prop_2" VALUE = "S">SERVER<BR><BR><BR><BR></B></I>
</P>

<HR>


<P CLASS = "dades">

<INPUT TYPE = "checkbox" NAME = "prop_3"><B><I>PURPOSE #3 :</I></B><BR><BR>

- You can <B>select</B> the purpose of the machine you're registering, if it's in the database : <BR><BR>

<CENTER><SELECT SIZE = "1" NAME = "nom_prop_3_seleccionat">
<OPTION SELECTED VALUE = "NONE">NONE</OPTION>

<?php

/*mostrem els resultats a la llista de seleccio*/

$contador = 0;
while($contador < $files){
        $tupla = pg_fetch_array ($result_set , $contador);
        echo "<OPTION VALUE = '".$tupla["nom_prop"]."'>".$tupla["nom_prop"]."</OPTION>\n";
        $contador++;
}

?>

</SELECT></CENTER></P>

<P CLASS = "dades">
- If the purpose of the machine you're registering has not been registered yet, you can <B>enter</B> it : <BR><BR>
</P>
<P CLASS = "tabulat">
<I><B>PURPOSE : <INPUT TYPE = "TEXT" NAME = "nom_prop_3_entrat" SIZE = "30" MAXLENGTH = "30"><BR><BR>
TYPE OF PURPOSE : <BR><BR></P>
<P CLASS = "tabulat2">
<INPUT TYPE = "radio" NAME = "tipus_prop_3" VALUE = "C" CHECKED>CLIENT<BR><BR>
<INPUT TYPE = "radio" NAME = "tipus_prop_3" VALUE = "S">SERVER<BR><BR><BR><BR></B></I>
</P>

<HR>

<BR><BR><B><CENTER>
Click here if you want to return to the pre-selected values.<BR><BR><BR>
<INPUT TYPE = "reset" VALUE = "RESTORE VALUES">
</CENTER></B><BR><BR>


<HR>

<BR><BR><B><CENTER>
<INPUT TYPE ="checkbox" NAME = "confirmacio">
Yes, I confirm the data given are correct and I want to register the new machine.<BR><BR><BR>
<INPUT TYPE = "submit" NAME = "enviar" VALUE = "REGISTER !">
</CENTER></B>

<BR><BR><BR><BR><BR><BR><BR><BR>

</FORM>
</BODY>
</HTML>